%define name 	Moleskine
%define version 0.7.9
%define release %mkrel 9

%define pythonver 2.4

Summary: 	Moleskine - A source code editor for the GNOME desktop
Name:	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Editors
Url:		http://www.micampe.it/software/moleskine
Source: 	%{name}-%{version}.tar.bz2
Requires: 	python, pygnome
Requires: 	PyGtkScintilla >= 0.8.2
Requires: 	pygnome-libglade
Buildrequires: 	gnome-libs-devel
Buildrequires:  python-devel
BuildRoot: 	%{_tmppath}/%{name}-root
Buildarch: 	noarch

%description
Moleskine is a source code editor for the GNOME desktop. I want to
make it as powerful and flexible as NEdit <www.nedit.org>, my current
favourite editor (I have no problems with it, I only wanted a GNOME
editor... GTK+ looks better than Motif/Lesstif ;-) ).

%prep
%setup -q
# fix one redundant line in Makefile (austin)
perl -p -i -e 's/\/usr\/share\/pixmaps/\./g' Makefile

%install
rm -fr $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
%find_lang moleskine

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="moleskine"\
needs="x11"\
section="More Applications/Editors"\
title="Moleskine"\
icon="editors_section.png"\
longtitle="GTK Text Editor"\
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
%__cp -f $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Development/*.desktop $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="TextEditor" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post 
%update_menus

%postun
%clean_menus

%clean
rm -fr $RPM_BUILD_ROOT

%files -f moleskine.lang
%defattr(-, root, root)
%doc COPYING README NEWS MANUAL
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/gnome/config/%{name}/*
%{_datadir}/%{name}/*
%{_prefix}/lib/python%pythonver/site-packages/%{name}/*
%{_datadir}/pixmaps/moleskine.png
%{_datadir}/gnome/apps/Development/*.desktop
%{_datadir}/applications/*
%{_menudir}/%name

%changelog
* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.9-9mdv2007.0
- XDG

* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 0.7.9-8mdv2007.0
- rebuild

* Wed Mar 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.9-7mdk
- Add BuildRequires
- use mkrel

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.7.9-6mdk
- rebuild

* Thu Jan 14 2004 Franck Villaume <fvill@freesurf.fr> 0.7.9-5mdk
- 64 bits buildrequires

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.7.9-4mdk
- python 2.3
- clean

* Fri Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.9-3mdk
- adjust buildrequires

* Wed Feb 5 2002 Austin Acton <aacton@yorku.ca> 0.7.9-2mdk
- requires pygnome

* Thu Jan 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.9-1mdk
- from Austin Acton <aacton@yorku.ca> :
	- initial package

